#!/usr/bin/env python3
# La riga sopra è OBBLIGATORIA

import rospy  # Importa la libreria ROS per Python (rospy).


def logger():
    """
    Funzione che inizializza un nodo ROS e pubblica periodicamente un messaggio di log.

    Questa funzione esegue le seguenti operazioni:
    1.  Inizializza un nodo ROS chiamato 'logger'.
    2.  Imposta una frequenza di esecuzione di 10 Hz.
    3.  Entra in un ciclo infinito che continua finché il nodo non viene arrestato.
    4.  In ogni iterazione, crea un messaggio di log "HELLO WORLD".
    5.  Pubblica il messaggio di log utilizzando rospy.loginfo, visualizzandolo nel terminale.
    6.  Attende il tempo necessario per mantenere la frequenza di 10 Hz.
    """
    rospy.init_node('logger', anonymous=True)  # Inizializza il nodo ROS.

    rate = rospy.Rate(10)  # 10 Hz

    # Finché il nodo non viene arrestato, continua l'esecuzione
    while not rospy.is_shutdown():
        log_str = "HELLO WORLD"

        # Il log ROS viene solitamente visualizzato sullo schermo del terminale
        rospy.loginfo(log_str)

        rate.sleep()


if __name__ == '__main__':
    try:
        logger()
    except rospy.ROSInterruptException:
        pass
